//--------------------------------------------------------------------------------
// This file is a "Sample" as from Windows Workflow Foundation
// Hands on Labs RC
//
// Copyright (c) Microsoft Corporation. All rights reserved.
//
// This source code is intended only as a supplement to Microsoft
// Development Tools and/or on-line documentation.  See these other
// materials for detailed information regarding Microsoft code samples.
// 
// THIS CODE AND INFORMATION ARE PROVIDED AS IS WITHOUT WARRANTY OF ANY
// KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//--------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Text;
using System.Workflow.ComponentModel;
using System.Workflow.Activities;

namespace OrderLocalServices
{
    [Serializable]
    public class OrderEventArgs : ExternalDataEventArgs
    {
        private string _orderId;

        public OrderEventArgs(Guid instanceId, string orderId)
            : base(instanceId)
        {
            _orderId = orderId;
        }

        public string OrderId
        {
            get { return _orderId; }
            set { _orderId = value; }
        }
    }

    [ExternalDataExchange]
    public interface IOrderService
    {
        event EventHandler<OrderEventArgs> OrderCreated;
        event EventHandler<OrderEventArgs> OrderShipped;
        event EventHandler<OrderEventArgs> OrderUpdated;
        event EventHandler<OrderEventArgs> OrderProcessed;
        event EventHandler<OrderEventArgs> OrderCanceled;
    }
}
